(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     64463,       1271]
NotebookOptionsPosition[     64845,       1261]
NotebookOutlinePosition[     65280,       1280]
CellTagsIndexPosition[     65237,       1277]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Internal Forces in a Beam 2",
 FontSize->48]], "Title",
 TextAlignment->Center,
 ExpressionUUID -> "913e3cbf-0c9c-4914-b4c3-9db115a212f6"],

Cell[TextData[StyleBox["Based on the problem 7-7 of R. C. Hibbeler\
\[CloseCurlyQuote]s Statics, 13th edition",
 FontSize->16]], "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["Allen Lang, Qingchang Liu, Zhelong He, Baoxing Xu\n\
University of Virginia, 2018-11-23",
 FontSize->16]], "Text",
 TextAlignment->Center,
 ExpressionUUID -> "5655bb7a-d5dc-4bf1-be1e-e5ef9c4960b3"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnWmcFdWZh52ZL/NxvkWlVZbudkWxBdwQAVtQE1A2iYZFFkUNIBC3IAqG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    "], {{0, 221}, {412, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{412, 221},
  PlotRange->{{0, 412}, {0, 221}}]], "Input",
 TextAlignment->Center,
 ExpressionUUID -> "4980782a-07f4-4e40-bb02-de715f9336d7"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`bd$$ = 0, $CellContext`int$$ = 
    0, $CellContext`magForce$$ = 2.5, $CellContext`magLoad$$ = 
    0.5, $CellContext`opa1$$ = 0, $CellContext`posForce$$ = 
    9, $CellContext`posLoad$$ = 6, $CellContext`ps$$ = 
    6, $CellContext`reac$$ = 0, $CellContext`sd$$ = 0, $CellContext`step1$$ = 
    0, $CellContext`step2$$ = 0, $CellContext`step3$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`opa1$$], 0, 
       Row[{"Coordinates visibility", 
         Spacer[55]}]}, {1 -> "On", 0 -> "off"}}, {{
       Hold[$CellContext`step1$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\
\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"I\",\nFontWeight->\"Bold\"]\
\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"External\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"loadings\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"on\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\nFontWeight->\"Bold\"]\)", 
         Spacer[65]}]}, {
      1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
       "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}}, {{
       Hold[$CellContext`posForce$$], 9, 
       Row[{"Position of force [ft]", 
         Spacer[60]}]}, 0, 12}, {{
       Hold[$CellContext`magForce$$], 2.5, 
       Row[{
        "\!\(\*\nStyleBox[\"Magnitude\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"force\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
         Spacer[39]}]}, 0, 5}, {{
       Hold[$CellContext`posLoad$$], 6, 
       Row[{
        "\!\(\*\nStyleBox[\"Position\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\
\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)Load\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
         Spacer[43]}]}, 0, 12}, {{
       Hold[$CellContext`magLoad$$], 0.5, 
       Row[{
        "\!\(\*\nStyleBox[\"Magnitude\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"moment\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"/\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
         Spacer[8]}]}, 0, 1}, {{
       Hold[$CellContext`reac$$], 0, 
       Row[{"Reactive Force & Moment", 
         Spacer[26.5]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`step2$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\
\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"II\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"Internal\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"forces\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"in\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\nFontWeight->\"Bold\"]\)", 
         Spacer[75]}]}, {
      1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
       "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}}, {{
       Hold[$CellContext`ps$$], 6, 
       Row[{"Position of section [ft]", 
         Spacer[43]}]}, 0, 12}, {{
       Hold[$CellContext`int$$], 1, 
       Row[{"Internal Forces", 
         Spacer[85]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`step3$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\
\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"III\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"Internal\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"force\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"diagrams\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"of\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\
\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\n\
FontWeight->\"Bold\"]\)", 
         Spacer[20]}]}, {
      1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
       "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}}, {{
       Hold[$CellContext`sd$$], 0, 
       Row[{"Shear Force Diagram", 
         Spacer[50]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`bd$$], 0, 
       Row[{"Bending Moment Diagram", 
         Spacer[20]}]}, {1 -> "On", 0 -> "Off"}}, {
      Hold[
       Item[
        Column[{
          Grid[{{
             Manipulate`Place[1]}, {
             Manipulate`Place[2]}, {
             PaneSelector[{1 -> Column[{
                  Row[{
                    Manipulate`Place[3]}], 
                  Row[{
                    Manipulate`Place[4]}], 
                  Row[{
                    Manipulate`Place[5]}], 
                  Row[{
                    Manipulate`Place[6]}], 
                  Row[{
                    Manipulate`Place[7]}], 
                  Row[{
                    Dynamic[
                    
                    If[$CellContext`reac$$ $CellContext`step1$$ == 
                    1, $CellContext`temp1, 
                    Invisible[$CellContext`temp]]]}]}]}, 
              Dynamic[$CellContext`step1$$]]}, {
             
             Row[{"---------------------------------------------------------"}\
]}, {
             Manipulate`Place[8]}, {
             PaneSelector[{
               Column[{
                 Row[{
                   Manipulate`Place[9]}], 
                 Row[{
                   Manipulate`Place[10]}], 
                 Row[{
                   Dynamic[
                    If[$CellContext`int$$ == 1, $CellContext`temp2, 
                    Invisible[$CellContext`temp]]]}]}]}, 
              Dynamic[$CellContext`step2$$]]}, {
             
             Row[{"---------------------------------------------------------"}\
]}, {
             Manipulate`Place[11]}, {
             PaneSelector[{
               Column[{
                 Row[{
                   Manipulate`Place[12]}], 
                 Row[{
                   Manipulate`Place[13]}]}]}, 
              Dynamic[$CellContext`step3$$]]}}, Alignment -> Left, 
           Spacings -> {Automatic, 1.5}]}]]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    600., {537., 151.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`opa1$2954$$ = 
    False, $CellContext`step1$2955$$ = False, $CellContext`posForce$2956$$ = 
    0, $CellContext`magForce$2957$$ = 0, $CellContext`posLoad$2958$$ = 
    0, $CellContext`magLoad$2959$$ = 0, $CellContext`reac$2960$$ = 
    False, $CellContext`step2$2961$$ = False, $CellContext`ps$2962$$ = 
    0, $CellContext`int$2963$$ = False, $CellContext`step3$2964$$ = 
    False, $CellContext`sd$2965$$ = False, $CellContext`bd$2966$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`bd$$ = 0, $CellContext`int$$ = 
        1, $CellContext`magForce$$ = 2.5, $CellContext`magLoad$$ = 
        0.5, $CellContext`opa1$$ = 0, $CellContext`posForce$$ = 
        9, $CellContext`posLoad$$ = 6, $CellContext`ps$$ = 
        6, $CellContext`reac$$ = 0, $CellContext`sd$$ = 
        0, $CellContext`step1$$ = 0, $CellContext`step2$$ = 
        0, $CellContext`step3$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`opa1$$, $CellContext`opa1$2954$$, False], 
        Hold[$CellContext`step1$$, $CellContext`step1$2955$$, False], 
        Hold[$CellContext`posForce$$, $CellContext`posForce$2956$$, 0], 
        Hold[$CellContext`magForce$$, $CellContext`magForce$2957$$, 0], 
        Hold[$CellContext`posLoad$$, $CellContext`posLoad$2958$$, 0], 
        Hold[$CellContext`magLoad$$, $CellContext`magLoad$2959$$, 0], 
        Hold[$CellContext`reac$$, $CellContext`reac$2960$$, False], 
        Hold[$CellContext`step2$$, $CellContext`step2$2961$$, False], 
        Hold[$CellContext`ps$$, $CellContext`ps$2962$$, 0], 
        Hold[$CellContext`int$$, $CellContext`int$2963$$, False], 
        Hold[$CellContext`step3$$, $CellContext`step3$2964$$, False], 
        Hold[$CellContext`sd$$, $CellContext`sd$2965$$, False], 
        Hold[$CellContext`bd$$, $CellContext`bd$2966$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`length$, $CellContext`width$, \
$CellContext`rect2min$, $CellContext`rect2mid$, $CellContext`rect2max$, \
$CellContext`heightLoad$, $CellContext`v1$, $CellContext`v2$, \
$CellContext`v3$, $CellContext`m1$, $CellContext`m2$, $CellContext`m3$, \
$CellContext`reacB$, $CellContext`forceW$, $CellContext`reacA$, \
$CellContext`fx$, $CellContext`forceArrowEnd$, $CellContext`fw$, \
$CellContext`forceArrowStart$, $CellContext`internalShear$, \
$CellContext`internalMoment$}, $CellContext`length$ = 12; $CellContext`width$ = 
         0.5; $CellContext`heightLoad$ = $CellContext`width$ + 
          0.75; $CellContext`rect2min$ = -$CellContext`width$ - 
          4; $CellContext`rect2mid$ = -$CellContext`width$ - 
          3.5; $CellContext`rect2max$ = -$CellContext`width$ - 
          3; $CellContext`forceArrowEnd$ = {$CellContext`posForce$$, 
           0}; $CellContext`forceArrowStart$ = {$CellContext`posForce$$, 
           
           0.4 $CellContext`magForce$$}; $CellContext`fw$ = \
{$CellContext`posLoad$$/2, 
           0.4}; $CellContext`forceW$ = $CellContext`magLoad$$ \
$CellContext`posLoad$$; $CellContext`reacB$ = ($CellContext`forceW$ \
($CellContext`posLoad$$/
             2) + $CellContext`magForce$$ \
$CellContext`posForce$$)/$CellContext`length$; $CellContext`reacA$ = \
$CellContext`forceW$ + $CellContext`magForce$$ - $CellContext`reacB$; 
        If[$CellContext`posForce$$ > $CellContext`posLoad$$, $CellContext`v1$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magLoad$$ \
$CellContext`x$; $CellContext`m1$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ 0.5) $CellContext`x$^2, $CellContext`v1$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magLoad$$ \
$CellContext`x$; $CellContext`m1$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ 0.5) $CellContext`x$^2]; 
        If[$CellContext`posForce$$ > $CellContext`posLoad$$, $CellContext`v2$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magLoad$$ \
$CellContext`posLoad$$; $CellContext`m2$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ $CellContext`posLoad$$) ($CellContext`x$ - \
$CellContext`posLoad$$/2), $CellContext`v2$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magForce$$ - \
$CellContext`magLoad$$ $CellContext`x$; $CellContext`m2$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ 
             0.5) $CellContext`x$^2 - $CellContext`magForce$$ \
($CellContext`x$ - $CellContext`posForce$$)]; 
        If[$CellContext`posForce$$ > $CellContext`posLoad$$, $CellContext`v3$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magForce$$ - \
$CellContext`magLoad$$ $CellContext`posLoad$$; $CellContext`m3$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] = $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ $CellContext`posLoad$$) ($CellContext`x$ - \
$CellContext`posLoad$$/
             2) - $CellContext`magForce$$ ($CellContext`x$ - \
$CellContext`posForce$$), $CellContext`v3$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] := $CellContext`reacA$ - $CellContext`magForce$$ - \
$CellContext`magLoad$$ $CellContext`posLoad$$; $CellContext`m3$[
             Pattern[$CellContext`x$, 
              
              Blank[]]] = $CellContext`reacA$ $CellContext`x$ - \
($CellContext`magLoad$$ $CellContext`posLoad$$) ($CellContext`x$ - \
$CellContext`posLoad$$/
             2) - $CellContext`magForce$$ ($CellContext`x$ - \
$CellContext`posForce$$)]; $CellContext`shear = Labeled[
           Plot[
            Piecewise[{{
               $CellContext`v1$[$CellContext`x], 
               
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, \
$CellContext`x < $CellContext`posLoad$$, $CellContext`x < \
$CellContext`posForce$$]}, {
               $CellContext`v2$[$CellContext`x], 
               
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, \
$CellContext`posLoad$$ <= $CellContext`x <= $CellContext`posForce$$, \
$CellContext`posForce$$ <= $CellContext`x <= $CellContext`posLoad$$]}, {
               $CellContext`v3$[$CellContext`x], 
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, 
                
                Inequality[$CellContext`posForce$$, Less, $CellContext`x, 
                 LessEqual, $CellContext`length$], 
                
                Inequality[$CellContext`posLoad$$, Less, $CellContext`x, 
                 LessEqual, $CellContext`length$]]}}, 4], {$CellContext`x, 
             0, $CellContext`length$}, PlotStyle -> Blue, Epilog -> {Red, 
              PointSize[0.025], 
              Point[{{$CellContext`ps$$, $CellContext`internalShear$}}]}, 
            Frame -> True, 
            FrameLabel -> {
             "\!\(\*\nStyleBox[\"x\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"[\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontFamily->\"Arial\",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\"]\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\
\nFontColor->RGBColor[0., 0., 0.]]\)", 
              "\!\(\*\nStyleBox[\"V\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"[\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontFamily->\"Arial\",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\"]\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\
\nFontColor->RGBColor[0., 0., 0.]]\)"}, 
            PlotRange -> {{0, $CellContext`length$}, {-8, 8}}, ImageMargins -> 
            5, ImageSize -> 350, AspectRatio -> 0.35, FrameTicksStyle -> 
            Directive[10], AxesOrigin -> {0, 0}, Filling -> Axis, 
            FillingStyle -> Lighter[Green, 0.8]], 
           Text[
            Style["Shear force", Bold, 11]], {{Top, Center}}, 
           Spacings -> {Automatic, -0.35}]; $CellContext`moment = Labeled[
           Plot[
            Piecewise[{{
               $CellContext`m1$[$CellContext`x], 
               
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, \
$CellContext`x < $CellContext`posLoad$$, $CellContext`x < \
$CellContext`posForce$$]}, {
               $CellContext`m2$[$CellContext`x], 
               
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, \
$CellContext`posLoad$$ <= $CellContext`x <= $CellContext`posForce$$, \
$CellContext`posForce$$ <= $CellContext`x <= $CellContext`posLoad$$]}, {
               $CellContext`m3$[$CellContext`x], 
               If[$CellContext`posForce$$ > $CellContext`posLoad$$, 
                
                Inequality[$CellContext`posForce$$, Less, $CellContext`x, 
                 LessEqual, $CellContext`length$], 
                
                Inequality[$CellContext`posLoad$$, Less, $CellContext`x, 
                 LessEqual, $CellContext`length$]]}}, 4], {$CellContext`x, 
             0, $CellContext`length$}, PlotStyle -> Blue, Epilog -> {Red, 
              PointSize[0.025], 
              Point[{{$CellContext`ps$$, $CellContext`internalMoment$}}]}, 
            Frame -> True, 
            FrameLabel -> {
             "\!\(\*\nStyleBox[\"x\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"[\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontFamily->\"Arial\",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\"]\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\
\nFontColor->RGBColor[0., 0., 0.]]\)", 
              "\!\(\*\nStyleBox[\"M\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"[\",\nFontFamily->\"Arial\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontFamily->\"Arial\",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\"\[CenterDot]\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"ft\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"]\",\nFontFamily->\"Arial\",\n\
FontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)"}, 
            PlotRange -> {{0, $CellContext`length$}, {0, 25}}, ImageMargins -> 
            5, ImageSize -> 350, AspectRatio -> 0.35, FrameTicksStyle -> 
            Directive[10], AxesOrigin -> {0, 0}, Filling -> Axis, 
            FillingStyle -> Lighter[Blue, 0.8]], 
           Text[
            Style["Bending Moment", Bold, 11]], {{Top, Center}}, 
           Spacings -> {Automatic, -0.35}]; 
        If[$CellContext`posForce$$ > $CellContext`posLoad$$, 
          
          Which[$CellContext`ps$$ < $CellContext`posLoad$$, \
$CellContext`internalShear$ = $CellContext`v1$[$CellContext`ps$$], \
$CellContext`posLoad$$ <= $CellContext`ps$$ <= $CellContext`posForce$$, \
$CellContext`internalShear$ = $CellContext`v2$[$CellContext`ps$$], \
$CellContext`ps$$ > $CellContext`posForce$$, $CellContext`internalShear$ = \
$CellContext`v3$[$CellContext`ps$$]], 
          
          Which[$CellContext`ps$$ < $CellContext`posForce$$, \
$CellContext`internalShear$ = $CellContext`v1$[$CellContext`ps$$], \
$CellContext`posForce$$ <= $CellContext`ps$$ <= $CellContext`posLoad$$, \
$CellContext`internalShear$ = $CellContext`v2$[$CellContext`ps$$], \
$CellContext`ps$$ > $CellContext`posLoad$$, $CellContext`internalShear$ = \
$CellContext`v3$[$CellContext`ps$$]]]; 
        If[$CellContext`posForce$$ > $CellContext`posLoad$$, 
          
          Which[$CellContext`ps$$ < $CellContext`posLoad$$, \
$CellContext`internalMoment$ = $CellContext`m1$[$CellContext`ps$$], \
$CellContext`posLoad$$ <= $CellContext`ps$$ <= $CellContext`posForce$$, \
$CellContext`internalMoment$ = $CellContext`m2$[$CellContext`ps$$], \
$CellContext`ps$$ > $CellContext`posForce$$, $CellContext`internalMoment$ = \
$CellContext`m3$[$CellContext`ps$$]], 
          
          Which[$CellContext`ps$$ < $CellContext`posForce$$, \
$CellContext`internalMoment$ = $CellContext`m1$[$CellContext`ps$$], \
$CellContext`posForce$$ <= $CellContext`ps$$ <= $CellContext`posLoad$$, \
$CellContext`internalMoment$ = $CellContext`m2$[$CellContext`ps$$], \
$CellContext`ps$$ > $CellContext`posLoad$$, $CellContext`internalMoment$ = \
$CellContext`m3$[$CellContext`ps$$]]]; 
        If[$CellContext`step1$$ == 0, $CellContext`reac$$ = 0]; 
        If[$CellContext`step2$$ == 0, $CellContext`int$$ = 0]; 
        If[$CellContext`step2$$ == 1, $CellContext`reac$$ = 1]; 
        If[$CellContext`step2$$ == 1, $CellContext`step1$$ = 1]; 
        If[$CellContext`step3$$ == 1, $CellContext`int$$ = 1]; 
        If[$CellContext`step3$$ == 1, $CellContext`reac$$ = 1]; 
        If[$CellContext`step3$$ == 1, $CellContext`step1$$ = 1]; 
        If[$CellContext`step3$$ == 1, $CellContext`step2$$ = 1]; 
        If[1 == 1, $CellContext`temp1 = 
          Row[{"\!\(\*\nStyleBox[FormBox[SubscriptBox[\"A\", \"x\"],\n  \
TraditionalForm],\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., 0.]]\)\
\!\(\*\nStyleBox[\" \",\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., \
0.]]\)\!\(\*\nStyleBox[\"=\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[1., 0., 0.]]\) ", 
             NumberForm[0], 
             Spacer[2], "kips", 
             Spacer[15], 
             "\!\(\*\nStyleBox[FormBox[SubscriptBox[\"A\", \"y\"],\n  \
TraditionalForm],\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., 0.]]\)\
\!\(\*\nStyleBox[\" \",\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., \
0.]]\)\!\(\*\nStyleBox[\"=\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[1., 0., 0.]]\) ", 
             NumberForm[$CellContext`reacA$], 
             Spacer[2], 
             "\!\(\*\nStyleBox[\"kips\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[1., 0., 0.]]\)", 
             Spacer[15], 
             "\!\(\*\nStyleBox[FormBox[SubscriptBox[\"B\", \"y\"],\n  \
TraditionalForm],\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., 0.]]\)\
\!\(\*\nStyleBox[\" \",\nFontWeight->\"Plain\",\nFontColor->RGBColor[1., 0., \
0.]]\)\!\(\*\nStyleBox[\"=\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[1., 0., 0.]]\) ", 
             NumberForm[$CellContext`reacB$], 
             Spacer[2], 
             "\!\(\*\nStyleBox[\"kips\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[1., 0., 0.]]\)"}]]; 
        If[1 == 1, $CellContext`temp2 = 
          Row[{
            "\!\(\*\nStyleBox[FormBox[SubscriptBox[\"M\", \"C\"],\n  \
TraditionalForm],\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)\!\(\*\n\
StyleBox[\"  \",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)\!\(\*\n\
StyleBox[\"=\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)\!\(\*\n\
StyleBox[\" \",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 1.]]\)", 
             NumberForm[$CellContext`internalMoment$], 
             Spacer[2], 
             "\!\(\*\nStyleBox[\"kips\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)\!\(\*\n\
StyleBox[\"\[CenterDot]\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)\!\(\*\n\
StyleBox[\"ft\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0.5019607843137255, 0., 0.5019607843137255]]\)", 
             Spacer[15], 
             "\!\(\*\nStyleBox[FormBox[SubscriptBox[\"V\", \"C\"],\n  \
TraditionalForm],\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., 0.]]\)\
\!\(\*\nStyleBox[\" \",\nFontWeight->\"Plain\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\"=\",\nFontWeight->\"Plain\",\n\
FontColor->RGBColor[0., 0., 0.]]\) ", 
             NumberForm[$CellContext`internalShear$], 
             Spacer[2], 
             "\!\(\*\nStyleBox[\"kips\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}]]; Row[{
           Item[$CellContext`dwf0 = {
               Opacity[$CellContext`opa1$$], 
               Dashing[{}], 
               Thickness[0.001], 
               Arrowheads[0.02], 
               Arrow[{{-1.5, 0.5}, {-1, 0.5}}], 
               Arrow[{{-1.5, 0.5}, {-1.5, 1}}], 
               Text[
               "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {-0.9, 0.5}], 
               Text[
               "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {-1.5, 1.1}]}; $CellContext`dwf1 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0, 0.6]], Blue, 
               
               Rectangle[{
                0, -$CellContext`width$}, {$CellContext`length$, \
$CellContext`width$}]}; $CellContext`dwf2 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0, 1]], Black, 
               Thickness[0.005], 
               PointSize[0.01], 
               Point[$CellContext`forceArrowEnd$], 
               Arrowheads[0.03], 
               
               Arrow[{$CellContext`forceArrowStart$, \
$CellContext`forceArrowEnd$}], 
               Text[
                Style[
                "F", 12, Bold], $CellContext`forceArrowEnd$ + {0.5, 
                 0.75}]}; $CellContext`dwf3 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0, 
                 If[$CellContext`magLoad$$ == 0, 0, 1]]], Black, 
               
               Line[{{0, 
                  0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}, \
{$CellContext`posLoad$$, 
                  0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}}]}; \
$CellContext`dwf4 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0, 
                 If[$CellContext`magLoad$$ == 0, 0, 1]]], 
               Thickness[0.001], 
               Arrowheads[0.02], 
               Map[
               Arrow[{{#, 
                   0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}, {#,
                    0.5}}]& , 
                
                Table[$CellContext`i, {$CellContext`i, 
                  0, $CellContext`posLoad$$, 0.25}]]}; $CellContext`dwf5 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0, 1]], 
               Text[
                Style["w", 12, Bold], {-0.5, 1.5}], 
               Text[
                Style["A", 12, Bold], {-0.52, -$CellContext`width$}], 
               Text[
                Style[
                "B", 12, Bold], {$CellContext`length$, 0} + {
                 0.5, 0 - $CellContext`width$}]}; $CellContext`dwf6 = {
               Opacity[
                If[$CellContext`step2$$ == 1, 1, 0]], 
               Thickness[0.004], Red, Dashed, 
               Line[{{$CellContext`ps$$, 1}, {$CellContext`ps$$, -1}}], 
               Text[
                Style[
                "C", 12, Bold], {$CellContext`ps$$, -1} + {
                 0, -0.4}]}; $CellContext`dwf7 = {
               Opacity[
                If[$CellContext`reac$$ == 1, 0, 1]], 
               Darker[Green], 
               
               Line[{{-0.75, -$CellContext`width$ - 0.5}, {
                 0.75, -$CellContext`width$ - 0.5}}], 
               PointSize[0.02], 
               Point[{0, -$CellContext`width$}], 
               
               Triangle[{{0, -$CellContext`width$}, {
                 0.5, -$CellContext`width$ - 
                  0.5}, {-0.5, -$CellContext`width$ - 0.5}}], 
               Map[
               Line[{{#, -$CellContext`width$ - 
                   0.5}, {#, -$CellContext`width$ - 0.5} - 0.1 {
                    Cos[45 Degree], 
                    Sin[45 Degree]}}]& , 
                Table[$CellContext`i, {$CellContext`i, -0.75, 0.75, 0.075}]], 
               
               Circle[{$CellContext`length$, -$CellContext`width$ - 0.25}, 
                0.25], 
               
               Line[{{-0.75 + $CellContext`length$, -$CellContext`width$ - 
                  0.5}, {0.75 + $CellContext`length$, -$CellContext`width$ - 
                  0.5}}], 
               Map[
               Line[{{#, -$CellContext`width$ - 
                   0.5}, {#, -$CellContext`width$ - 0.5} - 0.1 {
                    Cos[45 Degree], 
                    Sin[45 Degree]}}]& , 
                
                Table[$CellContext`i, {$CellContext`i, $CellContext`length$ - 
                  0.75, $CellContext`length$ + 0.75, 
                  0.075}]]}; $CellContext`dwf8 = {
               Opacity[
                If[$CellContext`reac$$ == 1, 
                 If[$CellContext`int$$ == 1, 0, 1], 0]], Red, 
               Thickness[0.005], 
               Arrowheads[0.02], 
               
               Arrow[{{0, -$CellContext`width$ - 0.25 $CellContext`reacA$}, {
                 0, 0}}], 
               Arrow[{{-1, 0}, {0, 0}}], 
               
               Arrow[{{12, -$CellContext`width$ - 0.25 $CellContext`reacB$}, {
                 12, 0}}], 
               Text[
                Style[
                "\!\(\*SubscriptBox[\(A\), \(x\)]\)", 12, Bold], {-1.5, 0}], 
               Text[
                Style[
                "\!\(\*SubscriptBox[\(A\), \(y\)]\)", 12, 
                 Bold], {-0.55, -$CellContext`width$ - 0.5}], 
               Text[
                Style[
                "\!\(\*SubscriptBox[\(B\), \(y\)]\)", 12, 
                 Bold], {$CellContext`length$, 0} + {
                 0.55, -$CellContext`width$ - 0.5}]}; $CellContext`dwf9 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0.5, 0]], Blue, 
               
               Rectangle[{$CellContext`ps$$, $CellContext`rect2min$}, \
{$CellContext`length$, $CellContext`rect2max$}], 
               Text[
                Style[
                "B", 12, Bold], {$CellContext`length$, 0} + {
                 0.5, $CellContext`rect2min$}]}; $CellContext`dwf10 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0.5, 0]], Blue, 
               
               Rectangle[{
                0, -$CellContext`width$}, {$CellContext`ps$$, \
$CellContext`width$}], 
               Text[
                Style[
                "A", 12, 
                 Bold], {-0.52, -$CellContext`width$}]}; $CellContext`dwf11 = {
               Opacity[
                If[$CellContext`int$$ == 1, 1, 0]], 
               Thickness[0.004], Red, Dashed, 
               
               Line[{{$CellContext`ps$$, $CellContext`rect2max$ + 
                  0.5}, {$CellContext`ps$$, $CellContext`rect2min$ - 0.5}}], 
               Text[
                Style[
                "C", 12, Bold], {$CellContext`ps$$, -1} + {
                 0, -0.4 - 4}]}; $CellContext`dwf12 = {
               Opacity[
                If[$CellContext`int$$ == 1, 0.75, 0]], Red, 
               Thickness[0.005], 
               Arrowheads[0.02], 
               
               Arrow[{{0, -$CellContext`width$ - 0.25 $CellContext`reacA$}, {
                 0, 0}}], 
               Text[
                Style[
                "\!\(\*SubscriptBox[\(A\), \(y\)]\)", 12, 
                 Bold], {-0.55, -$CellContext`width$ - 0.5}], 
               
               Arrow[{{
                 12, $CellContext`rect2min$ - 0.25 $CellContext`reacB$}, {
                 12, $CellContext`rect2mid$}}], 
               Text[
                Style[
                "\!\(\*SubscriptBox[\(B\), \(y\)]\)", 12, 
                 Bold], {$CellContext`length$, 0} + {
                 0.55, $CellContext`rect2min$ - 0.5}]}; $CellContext`dwf13 = {
               Opacity[
                If[$CellContext`int$$ == 1, 
                 If[$CellContext`ps$$ == 0, 0, 0.75], 0]], Black, 
               Thickness[0.005], 
               Arrowheads[0.02], 
               If[$CellContext`ps$$ != 0, 
                
                Arrow[{{$CellContext`ps$$ + 0.2, $CellContext`width$ + 
                   Abs[0.25 $CellContext`internalShear$]}, {$CellContext`ps$$ + 
                   0.2, -$CellContext`width$ - Abs[
                   0.25 $CellContext`internalShear$]}}]], 
               If[$CellContext`ps$$ != 0, 
                Text[
                 Style[
                 "\!\(\*SubscriptBox[\(V\), \(C\)]\)", 10, 
                  Bold], {$CellContext`ps$$ + 0.3, -$CellContext`width$ - 
                  0.5}]], 
               Darker[Purple], 
               Thickness[0.0005 $CellContext`internalMoment$], 
               If[$CellContext`ps$$ != 0, 
                Circle[{$CellContext`ps$$ + 0.2, -0.25}, 1, {(-Pi)/4, Pi/4}]], 
               If[$CellContext`ps$$ != 0, 
                
                Triangle[{{$CellContext`ps$$ + 1, $CellContext`width$ + 
                   0.15}, {$CellContext`ps$$ + 0.65, $CellContext`width$ + 
                   0.25}, {$CellContext`ps$$ + 0.7, $CellContext`width$ - 
                   0.1}}]], 
               If[$CellContext`ps$$ != 0, 
                Text[
                 Style[
                 "\!\(\*SubscriptBox[\(M\), \(C\)]\)", 12, 
                  Bold], {$CellContext`ps$$ + 0.75, $CellContext`width$ + 
                  0.5}]]}; $CellContext`dwf14 = {
               Opacity[
                If[$CellContext`int$$ == 1, 
                 If[$CellContext`ps$$ == 0, 0, 0.75], 0]], Black, 
               Thickness[0.005], 
               Arrowheads[0.02], 
               If[$CellContext`ps$$ != 0, 
                
                Arrow[{{$CellContext`ps$$ - 0.2, $CellContext`rect2min$ - Abs[
                   0.25 $CellContext`internalShear$]}, {$CellContext`ps$$ - 
                   0.2, $CellContext`rect2max$ + 
                   Abs[0.25 $CellContext`internalShear$]}}]], 
               If[$CellContext`ps$$ != 0, 
                Text[
                 Style[
                 "\!\(\*SubscriptBox[\(V\), \(C\)]\)", 10, 
                  Bold], {$CellContext`ps$$ - 0.3, $CellContext`rect2max$ + 
                  0.5}]], 
               Darker[Purple], 
               Thickness[0.0005 $CellContext`internalMoment$], 
               If[$CellContext`ps$$ != 0, 
                
                Circle[{$CellContext`ps$$ - 0.2, $CellContext`rect2min$ + 
                  0.25}, 1, {3 (Pi/4), 5 (Pi/4)}]], 
               If[$CellContext`ps$$ != 0, 
                
                Triangle[{{$CellContext`ps$$ - 1, $CellContext`rect2max$ + 
                   0.15}, {$CellContext`ps$$ - 0.65, $CellContext`rect2max$ + 
                   0.25}, {$CellContext`ps$$ - 0.7, $CellContext`rect2max$ - 
                   0.1}}]], 
               If[$CellContext`ps$$ != 0, 
                Text[
                 Style[
                 "\!\(\*SubscriptBox[\(M\), \(C\)]\)", 12, 
                  Bold], {$CellContext`ps$$ - 0.75, $CellContext`rect2max$ + 
                  0.5}]]}; $CellContext`dwf15 = {
               Opacity[
                If[$CellContext`int$$ == 1, 1, 0]], Black, 
               Thickness[0.005], 
               PointSize[0.01], 
               Arrowheads[0.03], 
               If[$CellContext`ps$$ > $CellContext`posForce$$, 
                Point[$CellContext`forceArrowEnd$], 
                Point[$CellContext`forceArrowEnd$ - {0, 4}]], 
               If[$CellContext`ps$$ > $CellContext`posForce$$, 
                
                Arrow[{$CellContext`forceArrowStart$, \
$CellContext`forceArrowEnd$}], 
                
                Arrow[{$CellContext`forceArrowStart$ - {0, 
                  4}, $CellContext`forceArrowEnd$ - {0, 4}}]], 
               If[$CellContext`ps$$ > $CellContext`posForce$$, 
                Point[$CellContext`forceArrowEnd$], 
                Point[$CellContext`forceArrowEnd$ - {0, 4}]], 
               Text[
                Style["F", 12, Bold], 
                
                If[$CellContext`ps$$ > $CellContext`posForce$$, \
$CellContext`forceArrowEnd$ + {0.5, 0.75}, $CellContext`forceArrowEnd$ + {
                  0.5, -3.25}]]}; $CellContext`dwf16 = {
               Opacity[
                If[$CellContext`int$$ == 1, 
                 If[$CellContext`magLoad$$ == 0, 0, 1], 0]], Black, 
               Text[
                Style["w", 12, Bold], {-0.5, 1.5}], 
               If[$CellContext`ps$$ != 0, 
                
                Line[{{0, 
                   0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}, {
                   
                   If[$CellContext`ps$$ <= $CellContext`posLoad$$, \
$CellContext`ps$$, $CellContext`posLoad$$], 
                   0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}}]], 
               If[$CellContext`ps$$ != 0, 
                If[$CellContext`ps$$ < $CellContext`posLoad$$, 
                 
                 Line[{{$CellContext`ps$$, 
                    0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$} - {
                   0, 4}, {$CellContext`posLoad$$, 
                    0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$} - {
                   0, 4}}]]], 
               Thickness[0.001], 
               Arrowheads[0.02], 
               If[$CellContext`ps$$ != 0, 
                Map[
                Arrow[{{#, 
                    0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$}, \
{#, 0.5}}]& , 
                 Table[$CellContext`i, {$CellContext`i, 0, 
                   
                   If[$CellContext`ps$$ <= $CellContext`posLoad$$, \
$CellContext`ps$$, $CellContext`posLoad$$], 0.25}]]], 
               If[$CellContext`ps$$ != 0, 
                If[$CellContext`ps$$ < $CellContext`posLoad$$, 
                 Map[
                 Arrow[{{#, 
                    0.4 $CellContext`magLoad$$ + $CellContext`heightLoad$} - {
                    0, 4}, {#, 0.5} - {0, 4}}]& , 
                  
                  Table[$CellContext`i, {$CellContext`i, $CellContext`ps$$, \
$CellContext`posLoad$$, 0.25}]]]]}; $CellContext`dw1 = 
             Graphics[{$CellContext`dwf0, $CellContext`dwf1, \
$CellContext`dwf2, $CellContext`dwf3, $CellContext`dwf4, $CellContext`dwf5, \
$CellContext`dwf6, $CellContext`dwf7, $CellContext`dwf8, $CellContext`dwf9, \
$CellContext`dwf10, $CellContext`dwf11, $CellContext`dwf12, \
$CellContext`dwf13, $CellContext`dwf14, $CellContext`dwf15, \
$CellContext`dwf16}, PlotRange -> {{-2, 15}, {-6, 2}}, ImageSize -> 600, 
               Frame -> True]; Show[$CellContext`dw1]], 
           Item[
            Column[{
              Grid[{{
                 PaneSelector[{
                   Item[$CellContext`shear, ItemSize -> Full]}, 
                  Dynamic[$CellContext`sd$$ $CellContext`step3$$]]}, {
                 PaneSelector[{
                   Item[$CellContext`moment, ItemSize -> Full]}, 
                  Dynamic[$CellContext`bd$$ $CellContext`step3$$]]}}, 
               Alignment -> Left, Spacings -> {Automatic, 2.1}]}], 
            ControlPlacement -> Right]}]], 
      "Specifications" :> {{{$CellContext`opa1$$, 0, 
          Row[{"Coordinates visibility", 
            Spacer[55]}]}, {1 -> "On", 0 -> "off"}, ControlType -> 
         RadioButton, ControlPlacement -> 1}, {{$CellContext`step1$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\n\
StyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"I\",\nFontWeight->\
\"Bold\"]\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\n\
StyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"External\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"loadings\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"on\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\nFontWeight->\"Bold\"]\)", 
            Spacer[65]}]}, {
         1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
          "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}, ControlType -> SetterBar, 
         ControlPlacement -> 2}, {{$CellContext`posForce$$, 9, 
          Row[{"Position of force [ft]", 
            Spacer[60]}]}, 0, 12, ImageSize -> Small, Appearance -> "Labeled",
          ControlPlacement -> 3}, {{$CellContext`magForce$$, 2.5, 
          
          Row[{"\!\(\*\nStyleBox[\"Magnitude\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"force\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
            Spacer[39]}]}, 0, 5, ImageSize -> Small, Appearance -> "Labeled", 
         ControlPlacement -> 4}, {{$CellContext`posLoad$$, 6, 
          
          Row[{"\!\(\*\nStyleBox[\"Position\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)Load\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
            Spacer[43]}]}, 0, 12, ImageSize -> Small, Appearance -> "Labeled",
          ControlPlacement -> 5}, {{$CellContext`magLoad$$, 0.5, 
          
          Row[{"\!\(\*\nStyleBox[\"Magnitude\",\nFontColor->RGBColor[0., 0., \
0.]]\)\!\(\*\nStyleBox[\" \",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\n\
StyleBox[\"of\",\nFontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"moment\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\" \",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"[\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"kips\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"/\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"ft\",\n\
FontColor->RGBColor[0., 0., 0.]]\)\!\(\*\nStyleBox[\"]\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 
            Spacer[8]}]}, 0, 1, ImageSize -> Small, Appearance -> "Labeled", 
         ControlPlacement -> 6}, {{$CellContext`reac$$, 0, 
          Row[{"Reactive Force & Moment", 
            Spacer[26.5]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         SetterBar, ControlPlacement -> 7}, {{$CellContext`step2$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\n\
StyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"II\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"Internal\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"forces\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"in\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\nFontWeight->\"Bold\"]\)", 
            Spacer[75]}]}, {
         1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
          "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}, ControlType -> SetterBar, 
         ControlPlacement -> 8}, {{$CellContext`ps$$, 6, 
          Row[{"Position of section [ft]", 
            Spacer[43]}]}, 0, 12, ImageSize -> Small, Appearance -> "Labeled",
          ControlPlacement -> 9}, {{$CellContext`int$$, 1, 
          Row[{"Internal Forces", 
            Spacer[85]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> SetterBar, 
         ControlPlacement -> 10}, {{$CellContext`step3$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[\"Step\",\nFontWeight->\"Bold\"]\)\!\(\*\n\
StyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"III\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\":\",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"Internal\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"force\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"diagrams\",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\
\nStyleBox[\"of\",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\" \",\n\
FontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"the\",\nFontWeight->\"Bold\"]\)\!\(\
\*\nStyleBox[\" \",\nFontWeight->\"Bold\"]\)\!\(\*\nStyleBox[\"beam\",\n\
FontWeight->\"Bold\"]\)", 
            Spacer[20]}]}, {
         1 -> "\!\(\*\nStyleBox[\"On\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)", 0 -> 
          "\!\(\*\nStyleBox[\"off\",\nFontWeight->\"Bold\",\n\
FontColor->RGBColor[0., 0., 0.]]\)"}, ControlType -> SetterBar, 
         ControlPlacement -> 11}, {{$CellContext`sd$$, 0, 
          Row[{"Shear Force Diagram", 
            Spacer[50]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> SetterBar, 
         ControlPlacement -> 12}, {{$CellContext`bd$$, 0, 
          Row[{"Bending Moment Diagram", 
            Spacer[20]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> SetterBar, 
         ControlPlacement -> 13}, 
        Item[
         Column[{
           Grid[{{
              Manipulate`Place[1]}, {
              Manipulate`Place[2]}, {
              PaneSelector[{1 -> Column[{
                   Row[{
                    Manipulate`Place[3]}], 
                   Row[{
                    Manipulate`Place[4]}], 
                   Row[{
                    Manipulate`Place[5]}], 
                   Row[{
                    Manipulate`Place[6]}], 
                   Row[{
                    Manipulate`Place[7]}], 
                   Row[{
                    Dynamic[
                    
                    If[$CellContext`reac$$ $CellContext`step1$$ == 
                    1, $CellContext`temp1, 
                    Invisible[$CellContext`temp]]]}]}]}, 
               Dynamic[$CellContext`step1$$]]}, {
              
              Row[{"---------------------------------------------------------\
"}]}, {
              Manipulate`Place[8]}, {
              PaneSelector[{
                Column[{
                  Row[{
                    Manipulate`Place[9]}], 
                  Row[{
                    Manipulate`Place[10]}], 
                  Row[{
                    Dynamic[
                    If[$CellContext`int$$ == 1, $CellContext`temp2, 
                    Invisible[$CellContext`temp]]]}]}]}, 
               Dynamic[$CellContext`step2$$]]}, {
              
              Row[{"---------------------------------------------------------\
"}]}, {
              Manipulate`Place[11]}, {
              PaneSelector[{
                Column[{
                  Row[{
                    Manipulate`Place[12]}], 
                  Row[{
                    Manipulate`Place[13]}]}]}, 
               Dynamic[$CellContext`step3$$]]}}, Alignment -> Left, 
            Spacings -> {Automatic, 1.5}]}], ControlPlacement -> Left]}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1228., {373., 379.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center]
}, Open  ]]
},
WindowSize->{1366, 685},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 162, 3, 107, "Title"],
Cell[1651, 40, 160, 3, 32, "Text"],
Cell[1814, 45, 221, 4, 53, "Text"],
Cell[2038, 51, 13137, 221, 236, "Input"],
Cell[15178, 274, 49651, 984, 769, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature gvpKqUs2vFEygBKtp9fUqFk6 *)
